Bug 1605347 - openxcap: FTBFS in Fedora rawhide
Summary: openxcap: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openxcap
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-20 14:58 UTC by Mohan Boddu
Modified: 2018-09-21 05:27 UTC (History)
1 user (show)

Fixed In Version: openxcap-2.2.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:27:37 UTC


Attachments (Terms of Use)
build.log (3.73 KB, text/plain)
2018-07-20 14:58 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 14:58 UTC, Mohan Boddu
no flags Details
state.log (627 bytes, text/plain)
2018-07-20 14:58 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 14:58:28 UTC
openxcap failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28210025


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix openxcap at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openxcap will be orphaned. Before branching of Fedora 30,
openxcap will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 14:58:32 UTC
Created attachment 1465239 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 14:58:35 UTC
Created attachment 1465240 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 14:58:38 UTC
Created attachment 1465241 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:17:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2018-09-04 14:55:53 UTC
openxcap-2.2.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-67bbb926fe

Comment 6 Fedora Update System 2018-09-05 21:26:58 UTC
openxcap-2.2.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-67bbb926fe

Comment 7 Fedora Update System 2018-09-21 05:27:37 UTC
openxcap-2.2.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.